<? require 'header.php';
if($_SESSION["username"]==NULL or $_SESSION["password"]==NULL)
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
?>
<div class="menucenter">
<?
$user=text($_SESSION["username"]);

$sql = "SELECT * FROM tb_users WHERE username='$user'";
$result = mysql_query($sql);
$row = mysql_fetch_assoc($result);
if(!(isset($_POST["howmany"])))
if(!(isset($_POST["pemail"])))
{
?>
<form action="" method="POST">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center"><img src="images/mon.png"> <b>Сумма выплаты:</b> </th>
<th align="center"><img src="images/wmr.png"> <b>Номер счёта:</b> </th>
<th align="center"><img src="images/kod.png"> <b>Защитный код:</b> </th>
<th align="center"></th>
</tr></thead>
<tr>
<td class='value' align='center' ><input type="text" name="howmany" value="<?=round($row["money"],3) ?>"> <b>Руб.</b></td>
<td class='value' align='center' ><?if($duser["system"]==1){?>+<?}?><font color="#FF0000"><b><?=$row["pemail"] ?></b></font></td>
<td class='value' align='center' ><img src="convertcap.php" id="code" width=33 height=20> <input type="text" name="code" size="10" padding-left: 16px;" />
</td>
<td class='value' align='center' >
<input type="submit" class="ok_wm" value="Выплатить"></td></tr></table></form>
<?
  include('footer.php');
  exit();
}
require('karera/setup_status.php');
$howmany=round($_POST["howmany"],9);
if($howmany > $row["money"])
{
  echo "<div class=error>У вас недостаточно средств на балансе, для вывода данной суммы.<br />
Если выплата не проходит, закажите на 1 копейку меньше.</div>";
include('footer.php');
exit();
}
if($duser["system"]==1){
  echo "<div class=error>Выплата на LiqPay не работают</div>";
include('footer.php');
exit();
}
if($howmany == '')
{
  echo "<div class=error>Некорректный ввод суммы выплаты!</div>";
include('footer.php');
exit();
}
if($howmany < 0)
{
  echo "<div class=error>Некорректный ввод суммы выплаты!</div>";
include('footer.php');
exit();
}

$blockpay=$row["blockpay"];
if($blockpay==1)
{
echo "<div class=error>Вы нарушили правила системы и не можете больше зарабатывать!!</div>";
  include('footer.php');
  exit();
}

$checkuser = mysql_query("SELECT login FROM seelf_autoclicker WHERE login='$user'");
$username_exist = mysql_num_rows($checkuser);
if ($username_exist>2) {
echo "<div class=error>Вы нажали на ссылку для автокликеров больше 2 раз! Выплаты для Вашего логина приостановлены!!!</div>";
include('footer.php');
exit();
}

$sql = "SELECT * FROM tb_config WHERE item='payment' and howmany='1'";
$result1 = mysql_query($sql);
$row1 = mysql_fetch_assoc($result1);

if($row["money"]<=0)
{
	echo "<div class=error>Ваш баланс пуст. Заказ выплаты невозможен!!!</div>";
	include('footer.php');
	exit();
}

$lastpaycheck=time();
$lastpay=$row["lastpay"];
$raznitsa=$lastpaycheck-$lastpay;
$lastpaydate = date("d.m.y H:i:s", $row["lastpay"]);

$d_con=date("d-m-Y",$row["lastpay"]);
$d_con_block = $row["lastpay"] + $st_users[$duser["ball_status"]]["convert_d"] * 86400;
$convert_block = mysql_query("SELECT `id` FROM `tb_history` WHERE `user`='$user' and `date` = '$d_con'");
$con_b = mysql_num_rows($convert_block);
if($con_b >= $st_users[$duser["ball_status"]]["convert"] and $d_con_block >= time() and $st_users[$duser["ball_status"]]["convert"] != 0){

  echo "<div class=error>Заказ выплаты можно делать только ".$st_users[$duser["ball_status"]]["convert"]." раз(а) в ".$st_users[$duser["ball_status"]]["convert_d"]." суток.<br> Ваш последний заказ был <font color=red>$lastpaydate</font>!!!</div>";
  include('footer.php');
  exit();

}

$code=$_POST["code"];
$log=$_SESSION["logcaptcha"];
unset($_SESSION["logcaptcha"]);
if($code != $log)
{
echo "<div class=error>Неправильно введён проверочный код!</div>";
include('footer.php');
exit();
}

if ($howmany<$row1["price"])
{
  echo "<<div class=error>Введённая вами сумма для выплаты меньше минимальной суммы!!!</div>";
  include('footer.php');
  exit();
}

$root=$row["money"];

echo "<div class='good'>Автоматическая выплата сделана, оставь отзыв о сайте.</div>
<table border='0' align='center'>
<tr>
<td width='100%'><a href='http://advisor.wmtransfer.com/FeedBackList.aspx?url=cashid.ru' target='_blank'><img src=\"/images/otziv-wm2.png\"></a></td>
</tr>
</table>
";

$username=$row["username"];


$checkuser = mysql_query("SELECT username FROM tb_payme WHERE username='$username'");
$username_exist = mysql_num_rows($checkuser);

if ($username_exist>0) {

echo "<br><center><img src=\"images/error.png\" align=\"middle\">&nbsp;<b>Вы уже заказали выплату. После того как Ваш заказ будет выполнен, Вы сможете снова заказать выплату.</b></center>";

}else{

$pemail=$row["pemail"];
$money=$row["money"];
$laip=getRealIP();
$dt = date("d.m.Y H:i:s");
$money=$howmany;
$summ= round($howmany,2);
$wm = (ceil($summ * 80 / (100 + 0.8)) / 100);
$howmany =round($howmany - $wm,2);

$query = "INSERT INTO `tb_payme` (username, pemail, money, ip, datetime) VALUES('$username','$pemail','$money','$laip','$dt')";
mysql_query($query) or die(mysql_error());

$sql="update tb_users set money=money-'$money' where username='$username'";

mysql_query($sql) or die(mysql_error());
if ($money > $st_users[$duser["ball_status"]]["convert_a"])
{
  echo "<img src=\"images/ok.png\" align=\"middle\"> Ваш заказ на выплату принят!!!Мы выплатим Вам вручную,т.к. максимальная сумма для автоматической выплаты - ".$st_users[$duser["ball_status"]]["convert_a"]." руб!";
  }else{
       ////////// Выплачиваем WebMoney
    if($duser["system"]==0){
      require_once("_ap.php");

      $tranid=time();
      require_once('config.php');
      $res=mysql_query("select purse from tb_site where id='1'");
      $res=mysql_fetch_assoc($res);
      $pursesrc="R153800011089";
      $sql = "SELECT * FROM tb_users WHERE username='$user'";

      $pursedest=$row["pemail"];
      $amount=$howmany;
      $period=0;
      $pcode="";
      $username = $user;

      $res=mysql_query("select sitename, comment from tb_site where id='1'");
      $res=mysql_fetch_assoc($res);
      $sitename=$res["sitename"];
      $comment=$res["comment"];
      $comment=str_ireplace(":sitename:",$sitename,$comment);
      $desc=str_ireplace(":username:",$username,$comment);

      $wminvid=0;

      $response = $wmxi->X2(
      intval($tranid), # номер перевода в системе учета отправителя; любое целое число без знака, должно быть уникальным
      $pursesrc, # номер кошелька с которого выполняется перевод (отправитель)
      $pursedest, # номер кошелька, но который выполняется перевод (получатель)
      floatval($amount), # число с плавающей точкой без незначащих символов
      intval($period), # целое от 0 до 255 символов; 0 - без протекции
      trim($pcode), # произвольная строка от 0 до 255 символов; пробелы в начале или конце не допускаются
      trim($desc), # произвольная строка от 0 до 255 символов; пробелы в начале или конце не допускаются
      intval($wminvid) # целое число > 0; если 0 - перевод не по счету
      );

      $structure = $parser->Parse($response, DOC_ENCODING);
      $transformed = $parser->Reindex($structure, true);

      $er_s_k = htmlspecialchars(@$transformed["w3s.response"]["retval"], ENT_QUOTES);
      $er_s_o = htmlspecialchars(@$transformed["w3s.response"]["retdesc"], ENT_QUOTES);

      $prov_l_s=1;$s_v_s = "WebMoney";

      $status = @$transformed["w3s.response"]["retval"];
    }elseif($duser["system"]==1){


    	//Выплачиваем LiqPay
      require('config.php');

	  $res=mysql_query("select sitename, comment from tb_site where id='1'");
	  $res=mysql_fetch_assoc($res);

	  $liq=mysql_query("select * from tb_liqpay where id='1'");
      $ld=mysql_fetch_assoc($liq);

      $amount=$howmany;
      $to="+".$row["pemail"];
	  $sitename=$res["sitename"];
	  $comment=$res["comment"];
	  $comment=str_ireplace(":sitename:",$sitename,$comment);
	  $desc=str_ireplace(":username:",$username,$comment);

	  function rus_lat($str,$to = true)
{
$rus = $lat = array('ё','ж','ц','ч','ш','щ','ю','я','Ё','Ж',
'Ц','Ч','Ш','Щ','Ю','Я','э','ы','Э','Ы','ь','ъ','Ь','Ъ');

$temp = array('yo','zh','tc','ch','sh','sh','yu','ya',
'YO','ZH','TC','CH','SH','SH','YU','YA','ye','ue','YE',
'UE','mz','tz','MZ','TZ');

$rus_str = $lat_str = "АБВГДЕЗИЙКЛМНОПРСТУФХабвгдезийклмнопрстуфх";
$temp_str = "ABVGDEZIJKLMNOPRSTUFHabvgdezijklmnoprstufh";

if ($to == true) {$lat = $temp; $lat_str = $temp_str;}
else {$rus = $temp; $rus_str = $temp_str;}

$str = str_replace($rus,$lat,$str);
$str = strtr($str,$rus_str,$lat_str);
return($str);
 }

	  $descr =  rus_lat($desc);



$xmlzap = "<request>
            <version>1.2</version>
	        <action>send_money</action>
	        <kind>phone</kind>
	        <merchant_id>".$ld["merchid"]."</merchant_id>
	        <order_id>".time()."</order_id>
	        <to>".$to."</to>
	        <amount>".$amount."</amount>
	        <currency>".$ld["valuta"]."</currency>
	        <description>viplota</description>
      </request>";
$signat = base64_encode(sha1($ld["podpv"].$xmlzap.$ld["podpv"],1));
$result_xml = base64_encode($xmlzap);

$result_pos = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
		<request>
		<liqpay>
		<operation_envelope><operation_xml>".$result_xml."</operation_xml>
		<signature>".$signat."</signature></operation_envelope>
		</liqpay>
		</request>";
$result_zap = array("POST /?do=api_xml HTTP/1.0",
                         "Content-type: text/xml;charset=\"utf-8\"",
                         "Accept: text/xml",
                         "Content-length: ".strlen($result_pos));

$ch = curl_init();
 curl_setopt($ch, CURLOPT_URL, "https://www.liqpay.com/?do=api_xml");
 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
 curl_setopt($ch, CURLOPT_TIMEOUT, 60);
 curl_setopt($ch, CURLOPT_HTTPHEADER, $result_zap);
 curl_setopt($ch, CURLOPT_POST, 1);
 curl_setopt($ch, CURLOPT_POSTFIELDS, $result_pos);
$result = curl_exec($ch);

$xmlres = simplexml_load_string($result);

$operation_xml = strval($xmlres->liqpay->operation_envelope->operation_xml);
$signprix = strval($xmlres->liqpay->operation_envelope->signature);

$xmlot = base64_decode($operation_xml);
$xmlr = simplexml_load_string($xmlot);

$status_l = strval($xmlr->status);
$code = strval($xmlr->code);
$traid = strval($xmlr->transaction_id);
$signprov = base64_encode(sha1($ld["podpv"].$xmlot.$ld["podpv"], 1));


      if($signprix == $signprov){$prov_l_s=1;}else{$prov_l_s=0;}
      if ($status_l == "success"){$status=0;}else{$status=1;}

      $er_s_k = $status_l;
      $er_s_o = $code;
      $s_v_s = "LiqPay";
    }else{
    	//Если нас обманывают
      $status = 1; $er_s_k = "Непонятная"; $er_s_o = "Неполадки системы";$prov_l_s=1;
    }

    if($prov_l_s==1){
      if ($status == "0")
      {
        require_once('config.php');
        $query = "UPDATE tb_users SET paid=paid + '$money' where username='$user'";
        mysql_query($query) or die(mysql_error());
        $lastpay=time();

        $query = "UPDATE tb_users SET lastpay='$lastpay' where username='$user'";
        mysql_query($query) or die(mysql_error());

        $lafecha=date("d-m-Y",time());

        $query = "INSERT INTO tb_history (user, date, amount, method, status) VALUES('$user','$lafecha','$money','$s_v_s','Выплата сделана')";
        mysql_query($query) or die(mysql_error());

        $queryz = "DELETE FROM tb_payme WHERE username='$user'";
        mysql_query($queryz) or die(mysql_error());

        $ball_cab = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '$user'");
        if(mysql_num_rows($ball_cab) > 0){
          $timenow=time();

          require('karera/setup_ball.php');

          $ref_u = mysql_fetch_assoc($ball_cab);

          $ball_u = intval($money/10);

          if($ball_u != 0){

            if($ref_u["referer"] != ""){

              $ball_r = $ball_u * $ball["ref_viplat"];
              mysql_query("UPDATE `tb_users` SET `ball` = `ball`+'$ball_r' WHERE `username` = '".$ref_u["referer"]."'");
              mysql_query("INSERT INTO tb_infoball (user, date, ball, referer, mesage) VALUES('".$ref_u["referer"]."', '$timenow', '+ $ball_r', '---', 'Реферер вывел средства из системы')") or die(mysql_error());
            }

            $ball_us = $ball_u * $ball["viplat"];
            mysql_query("UPDATE `tb_users` SET `ball` = `ball`+'$ball_us' WHERE `username` = '$user'");
            mysql_query("INSERT INTO tb_infoball (user, date, ball, referer, mesage) VALUES('$user', '$timenow', '+ $ball_us', '---', 'Вы вывели средства из системы')") or die(mysql_error());

          }

        }

        echo '<center><b>Выплата прошла успешно.</b></center>';
      }else{
  ?>
  <pre>
  Код ошибки: <b><?=$er_s_k;?></b>
  Описание ошибки: <b><?=$er_s_o;?></b>
  </pre>
  <?
      }
    }else{
      echo "<img src=\"images/error.png\" align=\"middle\"> Ошибка подписи!!!";include('footer.php');exit();
    }
  }

}
?>
<? require 'footer.php'; ?>
